hpp-constraints: hpp::constraints::PointInJoint Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
hpp::constraints::PointInJoint Class Reference
Symbolic calculus

Basic expression representing a point in a joint frame. More...

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::PointInJoint:
[legend]
Collaboration diagram for hpp::constraints::PointInJoint:
[legend]

## Public Types
typedef CalculusBase< PointInJoint > | Parent_t
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t

## Public Member Functions
| HPP_CONSTRAINTS_CB_CREATE3 (PointInJoint, const JointPtr_t &, const vector3_t &, const size_type &) PointInJoint()
| PointInJoint (const CalculusBase< PointInJoint > &other)
| PointInJoint (const PointInJoint &pointInJoint)
| PointInJoint (const JointPtr_t &joint, const vector3_t &pointInLocalFrame)
| PointInJoint (const JointPtr_t &joint, const vector3_t &pointInLocalFrame, size_type nbDof)
const JointPtr_t & | joint () const
const vector3_t & | local () const
void | impl_value (const ConfigurationIn_t)
void | impl_jacobian (const ConfigurationIn_t)
void | computeCrossRXl ()
Public Member Functions inherited from hpp::constraints::CalculusBase< PointInJoint >
| CalculusBase ()
| CalculusBase (const vector3_t &value, const JacobianMatrix &jacobian)
| CalculusBase (const CalculusBase &o)
const vector3_t & | value () const
const JacobianMatrix & | jacobian () const
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
void | invalidate ()
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Protected Attributes
JointPtr_t | joint_
vector3_t | local_
bool | center_
Protected Attributes inherited from hpp::constraints::CalculusBase< PointInJoint >
vector3_t | value_
JacobianMatrix | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Additional Inherited Members
Protected Member Functions inherited from hpp::constraints::CalculusBase< PointInJoint >
void | init (const typename Traits< PointInJoint >::Ptr_t &ptr)

## Detailed Description

Basic expression representing a point in a joint frame.

## Member Typedef Documentation

## ◆ Parent_t

typedef CalculusBase<PointInJoint> hpp::constraints::PointInJoint::Parent_t

## Constructor & Destructor Documentation

## ◆ PointInJoint() [1/4]

hpp::constraints::PointInJoint::PointInJoint | ( | const CalculusBase< PointInJoint > & | other | ) |
| inline

## ◆ PointInJoint() [2/4]

hpp::constraints::PointInJoint::PointInJoint | ( | const PointInJoint & | pointInJoint | ) |
| inline

## ◆ PointInJoint() [3/4]

hpp::constraints::PointInJoint::PointInJoint | ( | const JointPtr_t & | joint,
|  | const vector3_t & | pointInLocalFrame )
| inline

## ◆ PointInJoint() [4/4]

hpp::constraints::PointInJoint::PointInJoint | ( | const JointPtr_t & | joint,
|  | const vector3_t & | pointInLocalFrame,
|  | size_type | nbDof )
| inline

## Member Function Documentation

## ◆ computeCrossRXl()

void hpp::constraints::PointInJoint::computeCrossRXl | ( |  | ) |
| inline

## ◆ HPP_CONSTRAINTS_CB_CREATE3()

hpp::constraints::PointInJoint::HPP_CONSTRAINTS_CB_CREATE3 | ( | PointInJoint | ,
|  | const JointPtr_t & | ,
|  | const vector3_t & | ,
|  | const size_type & | )
| inline

## ◆ impl_jacobian()

void hpp::constraints::PointInJoint::impl_jacobian | ( | const ConfigurationIn_t |  | ) |
| inline

## ◆ impl_value()

void hpp::constraints::PointInJoint::impl_value | ( | const ConfigurationIn_t |  | ) |
| inline

## ◆ joint()

const JointPtr_t & hpp::constraints::PointInJoint::joint | ( |  | ) | const
| inline

## ◆ local()

const vector3_t & hpp::constraints::PointInJoint::local | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ center_

bool hpp::constraints::PointInJoint::center_
| protected

## ◆ joint_

JointPtr_t hpp::constraints::PointInJoint::joint_
| protected

## ◆ local_

vector3_t hpp::constraints::PointInJoint::local_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh